﻿using System;
using System.Diagnostics;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.OperationModel;

namespace BrowseBranchesWeb
{
    // ReSharper disable InconsistentNaming
	public partial class _Default : System.Web.UI.Page
    // ReSharper restore InconsistentNaming
	{

        // ReSharper disable InconsistentNaming
		protected void Page_Load(object sender, EventArgs e)
        // ReSharper restore InconsistentNaming
		{
			var client = new EasyDAClient();

			try
			{
				var elementDictionary = client.BrowseBranches("", "OPCLabs.KitServer.2");
			    Debug.Assert(elementDictionary.Keys != null);

			    foreach (var key in elementDictionary.Keys)
				{
				    Debug.Assert(key != null);
				    var branchElement = elementDictionary[key];
				    Debug.Assert(branchElement != null);
				    ListBox1.Items.Add(branchElement.ItemId);
				}
				ListBox1.Visible = true;

			}
			catch (OpcException ex)
			{
				TextBox1.Text = ex.GetBaseException().Message;
				TextBox1.Visible = true;
			}

		}

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);

		Load += Page_Load;
	}
	}
}