﻿using System.Windows;
using OpcLabs.EasyOpc.UA.Forms.Browsing;

namespace UAWpfRunDialog
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var dataDialog = new UADataDialog
            {
                EndpointDescriptor = "opc.tcp://opcua.demo-this.com:51210/UA/SampleServer"
            };
            if (dataDialog.ShowDialog() != System.Windows.Forms.DialogResult.OK)
                return;
            NodeIdTextBlock.Text = dataDialog.NodeDescriptor.NodeId.ToString();
        }
    }
}
