﻿// WebService1: A simple Web service using ASMX technology. Provides "Hello World" method to read a value of an OPC item.

using System.Web.Services;
using OpcLabs.EasyOpc.DataAccess;

namespace WebService1
{
    /// <summary>
    /// Summary description for Service1
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class Service1 : WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            var client = new EasyDAClient();
            object value = client.ReadItemValue("", "OPCLabs.KitServer.2", "Demo.Ramp");
            return (value == null) ? "" : value.ToString();
        }
    }
}
